[Overview][Classes][Index] | Reference for unit 'AVL_Tree' (#fcl)

# TAVLTree.OnCompare

Compare function used when comparing nodes

## Declaration

Source position: avl_tree.pp line 102

`public property TAVLTree.OnCompare : TListSortCompare read FOnCompare write SetOnCompare;`

## Description

OnCompare is the comparing function used when the data of 2 nodes must be compared. By default, the function simply compares the 2 data pointers. A different function can be specified on creation.

## See also

TAVLTree.Create |  | Create a new instance of TAVLTree

Documentation generated on: Feb 26 2014